import React, { useEffect } from 'react';
import { useDndContext } from '@dnd-kit/core';
export var DndMeasurer = function (_a) {
    var columnsId = _a.columnsId, rowsId = _a.rowsId;
    var measureDroppableContainers = useDndContext().measureDroppableContainers;
    useEffect(function () {
        measureDroppableContainers(columnsId);
    }, [columnsId]);
    useEffect(function () {
        measureDroppableContainers(rowsId);
    }, [rowsId]);
    return React.createElement(React.Fragment, null);
};
